package sun.awt.image;

import sun.java2d.SurfaceData;
import java.awt.image.DataBuffer;

public class DataBufferNative extends DataBuffer
{
    protected SurfaceData surfaceData;
    protected int width;
    
    public DataBufferNative(SurfaceData surfaceData, int dataType, int width, int n) {
        super(dataType, width * n);
        this.width = width;
        this.surfaceData = surfaceData;
    }
    
    protected native int getElem(int p0, int p1, SurfaceData p2);
    
    @Override
    public int getElem(int n, int n2) {
        return this.getElem(n2 % this.width, n2 / this.width, this.surfaceData);
    }
    
    protected native void setElem(int p0, int p1, int p2, SurfaceData p3);
    
    @Override
    public void setElem(int n, int n2, int n3) {
        this.setElem(n2 % this.width, n2 / this.width, n3, this.surfaceData);
    }
}
